﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            cunvan.Text = "Seçiniz";
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            double maas;
            bool k = Double.TryParse(tmaas.Text, out maas);

            int secilen = cunvan.SelectedIndex;

            if (k && secilen > -1)
            {
                double ocak = Math.Round(maas * (1 + (int)locak_t.Items[secilen] * 0.01),2);
                double temmuz = Math.Round(ocak * (1 + (int)ltemmuz_t.Items[secilen] * 0.01),2);

                lunvan.Items.Add(cunvan.SelectedItem);
                lmaas.Items.Add(maas);
                locak.Items.Add(ocak);
                ltemmuz.Items.Add(temmuz);

                cunvan.Text = "Seçiniz";
                tmaas.Clear();
            }



        }

        private void bsil_Click(object sender, EventArgs e)
        {
            int secilen = lunvan.SelectedIndex;
            if (secilen > -1)
            {
                lunvan.Items.RemoveAt(secilen);
                lmaas.Items.RemoveAt(secilen); 
                locak.Items.RemoveAt(secilen); 
                ltemmuz.Items.RemoveAt(secilen);
            }

        }

        private void bdyaz_Click(object sender, EventArgs e)
        {

            string veri = "";
            for (int satir = 0; satir < lunvan.Items.Count; satir++)
            {
                veri += lunvan.Items[satir] + ";" + lmaas.Items[satir] + ";" + locak.Items[satir] + ";" + ltemmuz.Items[satir] + "\n";
            }

            if(veri.Length>0)
                try
                {
                    File.WriteAllText("maaslar.txt", veri);
                    MessageBox.Show("Dosya yazıldı!");
                }
                catch
                {
                    MessageBox.Show("Dosya yazılamadı!");
                }
        }


        ListBox locak_t = new ListBox();
        ListBox ltemmuz_t = new ListBox();

        private void btanimla_Click(object sender, EventArgs e)
        {
            ftanimla frm = new ftanimla(cunvan, locak_t, ltemmuz_t);
            frm.ShowDialog();
            cunvan.Text = "Seçiniz";
            guncelle();
        }

        private void guncelle()
        {

            for (int satir = 0; satir < lunvan.Items.Count; satir++)
            {
                double[] katsayilar = katsayigetir(lunvan.Items[satir].ToString());
                double maas = (double)lmaas.Items[satir];
                double ocak = Math.Round(maas * katsayilar[0], 2);
                double temmuz = Math.Round(ocak * katsayilar[1], 2);
                locak.Items[satir] = ocak;
                ltemmuz.Items[satir] = temmuz; 
            }
        }

        private double[] katsayigetir(string unvan)
        {
            double[] katsayilar = { 0.0, 0.0 };

            for (int index = 0; index < cunvan.Items.Count; index++)

                if (cunvan.Items[index] == unvan)
                {
                    katsayilar[0] = (int)locak_t.Items[index] * 0.01 + 1;
                    katsayilar[1] = (int)ltemmuz_t.Items[index] * 0.01 + 1;
                    break;
                }
                return katsayilar;
        }

    }
}
