﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace ornek1
{
    public partial class ftanimla : Form
    {
        ListBox locak_t, ltemmuz_t;
        ComboBox cunvan_t;
        public ftanimla(ComboBox c, ListBox l1, ListBox l2)
        {
            InitializeComponent();
            cunvan_t = c;
            locak_t = l1;
            ltemmuz_t = l2;

            // daha once tanimlanan bilgiler varsa listelere tekrar yukle
            for (int satir = 0; satir < cunvan_t.Items.Count; satir++)
            {
                lunvan.Items.Add(cunvan_t.Items[satir]);
                locak.Items.Add(locak_t.Items[satir]);
                ltemmuz.Items.Add(ltemmuz_t.Items[satir]);
            }

        }

        private void bekle_Click(object sender, EventArgs e)
        {
            int ocak, temmuz;
            bool k1 = Int32.TryParse(tocak.Text, out ocak);
            bool k2 = Int32.TryParse(ttemmuz.Text, out temmuz);
            if (k1 && k2 && tunvan.Text.Length > 0)
            {
                lunvan.Items.Add(tunvan.Text);
                locak.Items.Add(ocak);
                ltemmuz.Items.Add(temmuz);

                cunvan_t.Items.Add(tunvan.Text);
                locak_t.Items.Add(ocak);
                ltemmuz_t.Items.Add(temmuz);

                tunvan.Clear();
                tocak.Clear();
                ttemmuz.Clear();
            }

        }

        private void bduzenle_Click(object sender, EventArgs e)
        {
            int ocak, temmuz;
            bool k1 = Int32.TryParse(tocak.Text, out ocak);
            bool k2 = Int32.TryParse(ttemmuz.Text, out temmuz);
            int secilen = lunvan.SelectedIndex;

            if (k1 && k2 && secilen>-1)
            {
                locak.Items[secilen] = ocak;
                ltemmuz.Items[secilen] = temmuz;

                locak_t.Items[secilen] = ocak;
                ltemmuz_t.Items[secilen] = temmuz;

                tocak.Clear();
                ttemmuz.Clear();
            }

        }

        private void bdoku_Click(object sender, EventArgs e)
        {
            try
            {

                string[] veriler = File.ReadAllLines("unvandetay.txt");

                if (veriler.Length > 0)
                {
                    lunvan.Items.Clear();
                    locak.Items.Clear();
                    ltemmuz.Items.Clear();

                    cunvan_t.Items.Clear();
                    locak_t.Items.Clear();
                    ltemmuz_t.Items.Clear();

                    char[] ch ={';'};

                    for (int satir = 0; satir < veriler.Length; satir++)
                    {
                        string[] parcalar = veriler[satir].Split(ch);

                        if (parcalar.Length == 3)
                        {
                            int ocak, temmuz;
                            bool k1 = Int32.TryParse(parcalar[1], out ocak);
                            bool k2 = Int32.TryParse(parcalar[2], out temmuz);

                            if (k1 && k2 && parcalar[0].Length > 0)
                            {
                                lunvan.Items.Add(parcalar[0]);
                                locak.Items.Add(ocak);
                                ltemmuz.Items.Add(temmuz);

                                cunvan_t.Items.Add(parcalar[0]);
                                locak_t.Items.Add(ocak);
                                ltemmuz_t.Items.Add(temmuz);

        
                            }
                        }
                    }
                }

            }
            catch
            {
                MessageBox.Show("Dosya Okunamadı!");
            }
        }

        private void bdyaz_Click(object sender, EventArgs e)
        {
            string veri = "";
            for (int satir = 0; satir < lunvan.Items.Count; satir++)
            {
                veri += lunvan.Items[satir] + ";" +
                    locak.Items[satir] + ";" +
                    ltemmuz.Items[satir] + "\n";
            }
            if(veri.Length>0)
                try
                {
                    File.WriteAllText("unvandetay.txt", veri);
                    MessageBox.Show("Dosyaya kaydedildi!");
                }
                catch
                {
                    MessageBox.Show("Dosya yazılamadı!");
                }
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
